% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/api_messages.R
\name{messages_create_message_request}
\alias{messages_create_message_request}
\title{API messages: create message}
\usage{
messages_create_message_request(
  thread_id,
  role,
  content,
  file_ids = NULL,
  metadata = NULL,
  api_key = api_get_key()
)
}
\arguments{
\item{thread_id}{string, the ID of the thread to create a message for.}

\item{role}{string, the role of the entity that is creating the message. Currently only user is supported.}

\item{content}{string, the content of the message.}

\item{file_ids}{NULL/character vector, a list of File IDs that the message should use. There can be a maximum of 10
files attached to a message. Useful for tools like retrieval and code_interpreter that can access and use files.}

\item{metadata}{NULL/list, set of 16 key-value pairs that can be attached to an object. This can be useful for
storing additional information about the object in a structured format. Keys can be a maximum of 64 characters long
and values can be a maxium of 512 characters long.}

\item{api_key}{string, OpenAI API key
(see https://platform.openai.com/account/api-keys)}
}
\value{
\link[httr]{content} of the httr \link[httr]{response} object
or SimpleError (\link[base]{conditions}) enhanced with
two additional fields: `status_code` (response$status_code)
and `message_long` (built on response content)
}
\description{
Create a message. To get more details, visit
https://platform.openai.com/docs/api-reference/messages/createMessage
https://platform.openai.com/docs/assistants
}
